Method: projects.locations.backupCollections.backups.export

特定のバックアップを顧客のターゲット Cloud Storage URI にエクスポートします。

HTTP リクエスト


POST https://memorystore.googleapis.com/v1beta/{name=projects/*/locations/*/backupCollections/*/backups/*}:export

この URL は gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
name

string

必須。インスタンス バックアップのリソース名(形式: projects/{projectId}/locations/{locationId}/backupCollections/{backup_collection_id}/backups/{backupId})

リクエストの本文

リクエストの本文には、次の構造のデータが含まれます。

JSON 表現
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "gcsBucket": string
  // End of mutually exclusive fields.
}
フィールド
必須。バックアップをエクスポートする宛先を指定します。以下は、相互に排他的なフィールドのリストです。レスポンスに設定されるフィールドは、最大 1 つです。
gcsBucket

string

Google Cloud Storage バケット(例: my-bucket)。

相互に排他的なフィールドの終わり。

レスポンスの本文

成功した場合、レスポンスの本文には Operation のインスタンスが含まれます。

認可スコープ

次の OAuth スコープのいずれかが必要です。

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write

IAM 権限

name リソースに対する次の IAM 権限が必要です。

  • memorystore.backups.export

詳細については、IAM のドキュメントをご覧ください。